Rygel.HTTPByteSeekResponse – librygel-server Reference Manual

# HTTPByteSeekResponse

## Object Hierarchy:

## Description:

public class HTTPByteSeekResponse : HTTPResponseElement
Namespace: Rygel
Package: librygel-server

## Content:

### Properties:

- public int64 start_byte { set; get; }
  The start of the range in bytes
- public int64 end_byte { set; get; }
  The end of the range in bytes (inclusive)
- public int64 range_length { get; }
  The length of the range in bytes
- public int64 total_size { set; get; }
  The length of the resource in bytes

### Creation methods:

- public HTTPByteSeekResponse (int64 start_byte, int64 end_byte, int64 total_size)
- public HTTPByteSeekResponse.from_request (HTTPByteSeekRequest request)

### Methods:

- public override void add_response_headers (HTTPRequest request)
- public override string to_string ()

### Inherited Members:

All known members inherited from class Rygel.HTTPResponseElement

- UNSPECIFIED

- add_response_headers

- to_string

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count